function toggle_visibility(id) {
	document.getElementById(id).setAttribute('style', (document.getElementById(id).getAttribute('style') == 'display:none') ? 'display:block' : 'display:none');
}

function toggle_class_visibility(cl) {
	var elems = document.getElementsByClassName(cl);
	for (var elem =0; elem < elems.length; elem+=1) {
		var el = elems[elem];
		el.setAttribute('style', (el.getAttribute('style') == 'display:none') ? 'display:table-cell' : 'display:none');
	}
}

function add_row(page,content,free) {
	if (typeof content === "undefined") {
		content = [];
	}
	var scripts;
	var prId;
	var h;
	switch(page) {
		case 'pg2':
			tr = document.createElement('tr');
			var parent=document.getElementById('visited_boards');
			var id=+(parent.childElementCount == 0) || parseInt(parent.children[parent.childElementCount-1].id) + 1;
			var boards = ['','2ch.hk','iichan.hk','0chan.hk','dobrochan.com','410chan.org','nowere.net','4chan.org','420chan.org', '2ch.net/5ch.net','2chan.net','owlchan.ru','iichan.net/wakachan','8ch.net','lolifox.org','zadraw.ch','hatsune.ru','haruhiism.abe'];
			tr.id = id;
			h='\
					<td>\
						<input type="hidden" name="id" value="'+id+'" />'
			if(free || (content[0] && boards.indexOf(content[0]) == -1)){
				h+='\
					      <input type="text" name="board_name" required ';
				if(content[0]){
					h+='value="'+content[0]+'" ';
				}
				h+='/>';
			}
			else{
				h+='\
						<select name="board_name" required>';
				for (var i in boards) {
					h+='\
							<option';
					if (content[0] == boards[i] || (!content[0] && boards[i] == 'iichan.hk')) {
						h+=' selected';
					}
					h+='>'+boards[i]+'</option>';
				}
				h = h+='\
						</select>';
			}
			h+='\
					</td>\
					<td><input type="text" name="subboard" placeholder="/a/, /b/" ';
			if (content[1]) {
				h+='value="'+content[1]+'" ';
			}
			h += '/></td>\
					<td><input type="text" name="stay_period" placeholder="04/2009 - 04/2017"';
			if (content[2]) {
				h+='value="'+content[2]+'" ';
			}
			h += '/></td>\
					<td><input type="checkbox" name="board'+tr.id+'" value="origin" ';
			if (content[3]) {
				h+='checked ';
			}
			h += ' autocomplete="off" /></td>\
					<td><input type="checkbox" name="board'+tr.id+'" value="main" ';
			if (content[4]) {
				h+='checked ';
			}
			h += ' autocomplete="off" /></td>';
			if (id != '1') {
				h+='\
						<td><button type="button" onclick="document.getElementById('+tr.id+').parentNode.removeChild(document.getElementById('+tr.id+'))">X</button></td>';
			}
			tr.innerHTML = h;
			parent.appendChild(tr);
			break;
		case 'pg3.1':
			prId = 'scripts';
			scripts = [['',''],['DET','Куклоскрипт'],['WE','Wacaba Extentions'],['ES','EurecaScript'],['Pure','Не использую стороннее ПО'],['NoScript','Все исполняемые сценарии на странице отключены']];
		case 'pg3.2':
			prId = prId || 'clients';
			scripts = scripts || [['',''],['Ci','Cirnoid'],['Oc','Overchan'],['Dc','Dashchan'],['Cl','Clover'],['Pure','Не использую стороннее ПО']];
		case 'pg3.3':
			prId = prId || 'mirrors';
			scripts = scripts || []
			tr = document.createElement('tr');
			var parent= document.getElementById(prId);
			var id=+(parent.childElementCount == 0) || parseInt(parent.children[parent.childElementCount-1].id.substring(prId.length)) + 1;
			tr.id = prId+id;
			h='\
					<td>';
			if(free || (content[0] && scripts.map(x=>x[0]).indexOf(content[0]) == -1)){
				h+='\
					      <input type="text" name="'+prId+'" ';
				if(tr.id != 'mirrors1'){
					h+='required ';
				}
				if(content[0]){
					h+='value="'+content[0]+'" ';
				}
				h+='/>';
			}
			else{
				h+='\
						<select name="'+prId+'" required>';
				for (var script in scripts) {
					h+='\
							<option value="'+scripts[script][0]+'"';
					if (content[0] == scripts[script][0]) {
						h+=' selected';
					}
					h+='>'+scripts[script][1]+'</option>';
				}
				h+='\
						</select>';
			}
			h+='\
					</td>\
					<td><input type="text" name="reason_'+prId+'" style="min-width:300px"';
			if (content[1]) {
				h+='value="'+content[1]+'" ';
			}
			h+='/></td>';
			if (id != '1') {
				h+='\
					<td><button type="button" onclick="document.getElementById(\''+tr.id+'\').parentNode.removeChild(document.getElementById(\''+tr.id+'\'))">X</button></td>\
					';
			}
			tr.innerHTML = h;
			parent.appendChild(tr);
			break;
		case 'pg3.4':
			tr = document.createElement('tr');
			var parent=document.getElementById('stylesheets').children[0];
			var id=+(parent.childElementCount == 12) || parseInt(parent.children[parent.childElementCount-1].id) + 1;
			var prevId = parent.childNodes[parent.childElementCount-1].id;
			tr.id=id;
			h='\
					<td>\
						<input type="text" name="stylesheets" ';
			if (content[0]) {
				h+='value="'+content[0]+'" ';
			}
			h+='required />\
					</td>\
					<td>\
						<input type="checkbox" checked readonly onclick="return false;" />\
					</td>\
					<td><button type="button" onclick="document.getElementById('+tr.id+').parentNode.removeChild(document.getElementById('+tr.id+'))">X</button></td>\
					';
			tr.innerHTML=h;
			parent.appendChild(tr);
			break;
		case 'pg4':
			table = document.createElement('table');
			var parent=document.getElementById('other_hobby');
			var id=+(parent.childElementCount == 0) || parseInt(parent.children[parent.childElementCount-1].id) + 1;
			table.id=id;
			h = '';
			if (id != '1') {
				h+='<br />\
					';
			}
			h+='\
				<thead></thead><tbody>\
					<tr>\
						<th class="name">Наименование хобби</th>\
						<td colspan="2"><input name="other_hobby'+id+'" type="text" autocomplete="off" ';
			if(content[0]){
				h+='value="'+content[0]+'"';
			}
			h+='></td>';
			if (id != '1') {
				h+='\
					<td rowspan="8"><button type="button" style="float:right" onclick="document.getElementById('+id+').parentNode.removeChild(document.getElementById('+id+'))">X</button></td>\
					';
			}
			h+='\
					 <td></td>\
					</tr>\
					<tr>\
						<th class="name">Сколько лет увлекаетесь?</th>\
						<td colspan="2"><input name="other_hobby'+id+'_howlong" min="0" step="0.5" autocomplete="off" type="number" ';
			if(content[1]){
				h+='value="'+content[1]+'"';
			}
			h+='></td>\
					</tr>\
					<tr>\
						<th class="name">Делитесь ли вы вашим увлечением с досками?</th>\
						<td><b>Да</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_shared" value="On" autocomplete="off" ';
			if(content[2]) {
				h+='checked ';
			}
			h+='/></td>\
						<td><b>Нет</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_shared" value="" autocomplete="off" ';
			if(!content[2]) {
				h+='checked ';
			}
			h+='/></td>\
					</tr>\
					<tr>\
						<th class="name">Ориентировано ли ваше увлечение на доски?</th>\
						<td><b>Да</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_primary" value="On" autocomplete="off" ';
			if(content[3]) {
				h+='checked ';
			}
			h+='/></td>\
						<td><b>Нет</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_primary" value="" autocomplete="off" ';
			if(!content[3]) {
				h+='checked ';
			}
			h+='/></td>\
					</tr>\
					<tr>\
						<th class="name">Публикуется ли ваше бордотворчество где-либо помимо имиджборд?</th>\
						<td><b>Да</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_exclusive" value="On" autocomplete="off" ';
			if(content[4]) {
				h+='checked ';
			}
			h+='/></td>\
						<td><b>Нет</b><input style="width:25%" type="radio" name="other_hobby'+id+'_board_exclusive" value="" autocomplete="off" ';
			if(!content[4]) {
				h+='checked ';
			}
			h+='/></td>\
					</tr>\
					<tr>\
						<th class="name">Является ли этот вид деятельности вашим основным видом заработка?</th>\
						<td><b>Да</b><input style="width:25%" type="radio" name="other_hobby'+id+'_job_shared" value="On" autocomplete="off" ';
			if(content[5]) {
				h+='checked ';
			}
			h+='/></td>\
						<td><b>Нет</b><input style="width:25%" type="radio" name="other_hobby'+id+'_job_shared" value="" autocomplete="off" ';
			if(!content[5]) {
				h+='checked ';
			}
			h+='/></td>\
					</tr>\
					</tr>\
						<th colspan="3">Дополнительные сведения</th></tr><tr>\
						<td colspan="3"><textarea name="other_hobby'+id+'_other">';
			if(content[7]){
				h+=content[7];
			}
			h+='</textarea></td>\
					</tr>\
				</tbody></table>\
			';
			table.innerHTML = h;
			parent.appendChild(table);
			break;
		default:
			tr = document.createElement('tr');
			var parent=document.getElementById(page);
			var id=+(parent.childElementCount == 0) || (parseInt(parent.children[parent.childElementCount-1].id.substring(page.length)) || 0) + 1;
			var prevId = parent.childNodes[parent.childElementCount-1].id;
			tr.id=page+id;
			h='\
					<td>\
						<input class="name" type="text" name="'+page+'" ';
			if (content[0]) {
				h+='value="'+content[0]+'" ';
			}
			h+='required />\
					</td>\
					<td>\
						<input type="checkbox" checked readonly onclick="return false;" />\
					</td>\
					<td><button type="button" onclick="document.getElementById(\''+tr.id+'\').parentNode.removeChild(document.getElementById(\''+tr.id+'\'))">X</button></td>\
					';
			tr.innerHTML=h;
			parent.appendChild(tr);
			break;
			;
	}
}
